/borrowers

Enroll a new borrower on Defacto.

This API will create a borrower and a credit line for this borrower. More information in the behavior section below.

Timeout: 30 seconds (status code will be 504 in such a case)


Required data

Borrower must be a commercial company -> eg. in France needs to be registered at an RCS.

If the borrower repays by direct debit, the following information are mandatory:

  • the director’s personal information: Name, birth date, nationality, email address and country of residence of the managing director
  • The IBAN of the borrower (please make sure that the borrower is aware that direct debit is used as the repayment method).

We strongly recommend that you fill up all the information when you can, even on the sandbox. For French borrowers, we manage to pull most of the director information automatically, however for other countries, this might not be the case. For the borrowers that Defacto is not able to fetch the mandatory data, you need to provide them to ensure borrower creation. Otherwise the API will return a 400 error and list the values that it could not obtain.

Behavior

This API endpoint creates a borrower in our system, configures our system to get the repayment of the loan, evaluates the maximum amount of money we can lend to this company and creates a credit line for this borrower. After the credit line is created for this borrower, you can get it with GET /credit-lines?borrower=.
Synchronous and asynchronous behaviors are offered.

Synchronous behavior:

  • Set 'wait_for_ready': true to activate it
  • You can GET /credit-lines?borrower= and request a loan right after you received the answer from this API endpoint
  • Response takes from 4 to 8 seconds
  • The API answers after the solvency of the company is evaluated and the credit line is created, or returns an error.

Asynchronous behavior (default one):

  • Set 'wait_for_ready': false to activate it
  • Our system will evaluate the solvency of the company and create its credit line after answering the API call.
  • So, a loan cannot be requested right after this endpoint answers. You must wait for the creation of the credit line. To discover it, you can either subscribe to the CreditLine.CREATED webhook or regularly fetch GET /credit-lines?borrower=.
  • Response takes between 0.3 and 1.5 second.

🚧

Careful if you subscribe to the CreditLine.CREATED webhook!

If you subscribe to the webhook, please note that there is an inconsistency in the API at the moment. The webhook sends a borrower_id that does not correspond to the borrower id that you received with this endpoint (it's rather a business_id in our DB, that you cannot fetch).

So at the moment we recommend you to GET /credit-lines?borrower= for all borrowers waiting for a credit line when you receive the webhook event.

Body Params
string | null
Defaults to null

The account identifier. Only IBANs are supported at the moment.

address
object | null
directors
array of objects | null
Defaults to null
directors
address
object | null

Address of the person.

date | null
Defaults to null

Birth date of the person. (YYYY-MM-DD)

birth_place
object | null

Birth place of the person.

string | null
Defaults to null
string | null
Defaults to null

PhoneNumber

string
enum
Defaults to people
string | null
Defaults to null

The first name of the person.

string
Defaults to null
string | null
Defaults to null

Legal identifier of the business, such as its SIRET or SIREN in France. Must not contain spaces.

string | null
enum
Defaults to null

Type of legal business identifier of the business, such as the SIRET in France.

string | null
Defaults to null

The first name of the person.

string | null
Defaults to null
string | null
Defaults to null

Nationality of the person. Must be a ISO 3166 alpha-3 country code (e.g. FRA).

string
enum
Defaults to DIRECTOR
Allowed:
siege_address
object | null

Address of the business head quarters.

string | null
Defaults to null

Title of the person (e.g. M., Dr., etc.)

string
required

Legal identifier of the business, such as its SIRET or SIREN in France. Must not contain spaces.

string | null
enum
Defaults to null

Type of legal business identifier of the business, such as the SIRET in France.

string | null
Defaults to null
metadata
object | null

This object is yours, it enables you to add custom data.

string | null
Defaults to null

Legal name of the business.

owner
object | null

The person requesting subscribing to Defacto on behalf of the borrowers. Must be added as a director too

string | null
Defaults to null

Preferred language of the borrower in format ISO 639-1 (examples: [fr, en, es, de, nl]).

date-time | null
Defaults to null

datetime of the borrower's signature. Usually time the borrower clicked on our T&Cs checkbox

string | null
Defaults to null

The VAT number of the business, if European

boolean
Defaults to false

Wait for the borrower to be ready to request a first loan.Many actions have to run in the background (KYC, scoring, contract generation and so on).We recommend you to subscribe to the CreditLine.CREATED webhook in order to be notified in real time when the credit line is available.

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*